Subject: Re: CAP BEEP profile

From: "Preston Stephenson" <[email-masked]>
Date: Mon, 01 Mar 2004 13:25:51 -0700

I just used what was already defined for SASL.
 <blob status='complete'/> for success or an <error ../> element
indicating an error.
I'm not a BEEP expert, it just seemed to be simple enough for CAP.
I didn't see a need to come up with a another exchange.
It would be simple to document as well.

In section 12.1 BEEP Profile Registration, before "Message Exchanged
during Channel Creation:" you could write:

  The CAP profile will use the same type of message exchange as the TLS
or SASL profiles defined in [BEEP], see Section 3.1 and 4.1.
  The exception will be that the client will send the start message
with the CAP profile URI.
  If the server can successfully start the channel, it will reply with
a blob element of 'complete'.
  If the server can't successfully start the channel, it will reply
with an error element.

In section 12.1, after "Message Exchanged during Channel Creation:"

 This is an example of a successful start:

  C: Content-Type: application/beep+XL
  C:
  C: <start number='3'>
  C:   <profile Uri='http://iana.org/beep/cap/1.0'/>
  C: </start
  S: Content-Type: application/beep+xml
  S:
  S: <profile uri='http://iana.org/beep/cap/1.0'>
  S:   <![CDATA[<blob status='complete'/>]]>
  S: </profile>

  This is an example of an error:

  C: Content-Type: application/beep+XL
  C:
  C: <start number='3'>
  C:   <profile Uri='http://iana.org/beep/cap/1.0'/>
  C: </start
  S: Content-Type: application/beep+xml
  S:
  S: <profile uri='http://iana.org/beep/cap/1.0'>
  S:   <![CDATA[<error code='4.1'>The server can't access the
store.</error>]]>
  S: </profile>

Or something to that effect.
Thanks.

Preston

>>> [email-masked] 3/1/2004 12:12:11 PM >>>

Yes. I thought you were saying that the profile information
was being sent in different sequences or something by
the two implementations.

So far I have not tried to interoperate with any other CAP
implementation. And I would not call myself a BEEP expert.

So do you have proposed text to solve the cap-bug you filed? :-)
I am still trying to figure out if I got BEEP right.

Preston Stephenson wrote:

>I think it was when the client sent the start message for the cap
>profile channel, it wasn't expecting a response from the server.
>It would want to send the start message, then immediately start
sending
>CAP messages.
>It didn't know how to handle the response from the start message.
>
>C: Content-Type: application/beep+XL
>C:
>C: <start number='3'>
>C:   <profile Uri='HTTP://iana.org/beep/cap/1.0'/>
>C: </start
>
>( the client wasn't able to handle this response from the server)
>S: Content-Type: application/beep+xml
>S:
>S: <profile uri='http://iana.org/beep/cap/1.0'>
>S:   <![CDATA[<blob status='complete'/>]]>
>S: </profile>
>
>
>Is that what you are asking?
>Preston
>
>  
>
-- 

Doug Royer                     |   http://INET-Consulting.com 
-------------------------------|-----------------------------
[email-masked]                 | Office: (208)520-4044
http://Royer.com/People/Doug   | Fax:    (866)594-8574
                               | Cell:   (208)520-4044

              We Do Standards - You Need Standards